﻿using System;

public abstract class Game : IGame
{
    //TODO properties and start and end
    protected int result;
    protected int difficulty;

    public int Result
    {
        get { return this.result; }
        //Making property Result so we can get the score from each game easy
    }

    //base constructor
    /// <summary>
    /// The base constructor
    /// </summary>
    /// <param name="diff">Difficulty level of the game [0-9]</param>
    public Game(int diff)
    {
        this.difficulty = diff;
        this.result = 0;
    }

    /// <summary>
    /// Method for starting a game
    /// </summary>
    public abstract void StartGame();

    /// <summary>
    /// Method for ending a game. It should show the score of the game and some other stuff
    /// </summary>
    public abstract void EndGame();

}

